CharStreamSourceUtil
Date: 2016-12-04

net.htmlparser.jericho

## Class CharStreamSourceUtil

- java.lang.Object
- - net.htmlparser.jericho.CharStreamSourceUtil

-     public final class CharStreamSourceUtil
      extends java.lang.Object

  Contains static utility methods for manipulating the way data is retrieved from a `CharStreamSource` object.

  See the documentation of the `CharStreamSource` class for details.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.io.Reader` | `getReader(CharStreamSource charStreamSource)` Returns a `Reader` that reads the output of the specified `CharStreamSource`.
    `static java.lang.String` | `toString(CharStreamSource charStreamSource)` Returns the output of the specified `CharStreamSource` as a string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getReader

          public static java.io.Reader getReader(CharStreamSource charStreamSource)

      Returns a `Reader` that reads the output of the specified `CharStreamSource`.

      The current implementation of this method simply returns `new StringReader(``toString(charStreamSource)``)`, but a future version may implement this method in a more memory efficient manner.

      Parameters:
        `charStreamSource` - the character stream source producing the output.
      Returns:
        a `Reader` that reads the output of the specified `CharStreamSource`.

    - #### toString

          public static java.lang.String toString(CharStreamSource charStreamSource)

      Returns the output of the specified `CharStreamSource` as a string.

      The current implementation of this method simply returns `new StringReader(``toString(charStreamSource)``)`, but a future version may implement this method in a more memory efficient manner, for example by utilising a temporary file.

      Parameters:
        `charStreamSource` - the character stream source producing the output.
      Returns:
        the output of the specified `CharStreamSource` as a string.